Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Picture

    java.lang.Object
      Picture

    public class Picture

extends Object

A picture from an image file.

Nested Class Summary
`(package private) static class` | `Picture.Canvas`
`static class` | `Picture.Color`

Constructor Summary
`Picture()` Constructs a picture with no image.
`Picture(String source)` Constructs an image from a given file or URL.

Method Summary
`void` | `draw()` Shows this picture on the canvas.
`Picture.Color` | `getColorAt(int i)` Gets the color of a pixel.
`Picture.Color` | `getColorAt(int x, int y)` Gets the color of a pixel.
`double` | `getHeight()` Gets the height of this picture.
`double` | `getWidth()` Gets the width of this picture.
`double` | `getX()` Gets the leftmost x-position of the shape.
`double` | `getY()` Gets the topmost y-position of the shape.
`void` | `grow(double dw, double dh)` Resizes this picture both horizontally and vertically.
`void` | `load(String source)` Loads a new image from a given file or URL.
`void` | `paintShape(Graphics2D g2)` Draws this shape.
`void` | `pause()` Pauses so that one can look at the picture.
`void` | `pick()` Displays a file chooser for picking a file, loads the picture from the file that the user selected, and pauses so that the user can see the loaded picture.
`int` | `pixels()` The number of pixels in this picture.
`void` | `setColorAt(int x, int y, Picture.Color color)` Sets the color of a pixel.
`void` | `setColorAt(int i, Picture.Color color)` Sets the color of a pixel.
`void` | `translate(double dx, double dy)` Moves this picture by a given amount.

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Picture

    public Picture()

  Constructs a picture with no image.

### Picture

    public Picture(String source)

  Constructs an image from a given file or URL.

  Parameters:
    `source` - the filename or URL

Method Detail

### draw

    public void draw()

  Shows this picture on the canvas.

### getColorAt

    public Picture.Color getColorAt(int i)

  Gets the color of a pixel.

  Parameters:
    `i` - the pixel index
  Returns:
    the color at pixel i

### getColorAt

    public Picture.Color getColorAt(int x,
                                    int y)

  Gets the color of a pixel.

  Parameters:
    `x` - the x-coordinate (column) of the pixel
    `y` - the y-coordinate (row) of the pixel
    `color` - the new color for the pixel

### getHeight

    public double getHeight()

  Gets the height of this picture.

### getWidth

    public double getWidth()

  Gets the width of this picture.

### getX

    public double getX()

  Gets the leftmost x-position of the shape.

  Returns:
    the leftmost x-position

### getY

    public double getY()

  Gets the topmost y-position of the shape.

  Returns:
    the topmost y-position

### grow

    public void grow(double dw,
                     double dh)

  Resizes this picture both horizontally and vertically.

  Parameters:
    `dw` - the amount by which to resize the width on each side
    `dw` - the amount by which to resize the height on each side

### load

    public void load(String source)

  Loads a new image from a given file or URL.

  Parameters:
    `source` - the filename or URL

### paintShape

    public void paintShape(Graphics2D g2)

  Draws this shape.

  Parameters:
    `g2` - the graphics context

### pause

    public void pause()

  Pauses so that one can look at the picture.

### pick

    public void pick()

  Displays a file chooser for picking a file, loads the picture from the file that the user selected, and pauses so that the user can see the loaded picture.

### pixels

    public int pixels()

  The number of pixels in this picture.

  Returns:
    the number of pixels

### setColorAt

    public void setColorAt(int x,
                           int y,
                           Picture.Color color)

  Sets the color of a pixel.

  Parameters:
    `x` - the x-coordinate (column) of the pixel
    `y` - the y-coordinate (row) of the pixel
    `the` - color of the pixel at the given row and column

### setColorAt

    public void setColorAt(int i,
                           Picture.Color color)

  Sets the color of a pixel.

  Parameters:
    `i` - the pixel index
    `color` - the new color for the pixel

### translate

    public void translate(double dx,
                          double dy)

  Moves this picture by a given amount.

  Parameters:
    `dx` - the amount by which to move in x-direction
    `dy` - the amount by which to move in y-direction

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD